play.mvc

## Class CookieSessionStore

- java.lang.Object
- - play.mvc.CookieSessionStore

- All Implemented Interfaces:
    SessionStore

      public class CookieSessionStore
      extends java.lang.Object
      implements SessionStore

  Default session store implementation that stores signed data in a cookie

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CookieSessionStore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Scope.Session` | `restore()`
    `void` | `save(Scope.Session session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CookieSessionStore

          public CookieSessionStore()

  - ### Method Detail

    - #### restore

          public Scope.Session restore()

      Specified by:
        `restore` in interface `SessionStore`

    - #### save

          public void save(Scope.Session session)

      Specified by:
        `save` in interface `SessionStore`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly